workflow:
  id: planner-task-creator
  name: Microsoft Planner Task Creator
  description: Creates tasks in Microsoft Planner with retry capabilities for reliable task creation.
  triggers:
    - type: interval
      value: 15
  actions:
    - name: create-planner-task
      provider:
        type: planner
        config: " {{ providers.planner }} "
        with:
          title: "Keep HQ Task1"
          plan_id: "tAtCor_XPEmqTzVqTigCycgABz0K"
      on-failure:
        retry:
          count: 2
          interval: 2
